/* ============================================
   PAGINATION — DESKTOP
   ============================================ */
.pagination-container {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: var(--font-body-medium);
  gap: 2.5rem;
  padding: 3.125rem;
}

.pagination-mobile {
  display: none;
}

.btn-nav {
  text-decoration: none;
  color: var(--bbva-primary-color);
  font-family: var(--font-body-medium);

   &.disabled {
    opacity: 0.4;
    cursor: default;
  }
}

.btn-nav-prev {
  border-right: 1px solid var(--bbva-grey-3);
  padding-right: 1.25rem;
}

.btn-nav-next {
  border-left: 1px solid var(--bbva-grey-3);
  padding-left: 1.25rem;
}

.page-number {
  text-decoration: none;
  color: var(--bbva-primary-color);
  font-family: var(--font-body-medium);
  transition: color 0.2s ease;

  &.current {
    opacity: 0.4;
    cursor: default;
  }
}

a.page-number:hover,
.btn-nav:hover:not(.disabled) {
  color: var(--bbva-primary-color-light);
}

.icon-nav {
  width: 1.5rem;
  height: 1.5rem;
  color: var(--bbva-primary-color);
}

.page-counter {
  font-size: 1rem;
  color: var(--bbva-primary-color-dark);
}

/* ============================================
   PAGINATION — MOBILE (≤ 768px)
   ============================================ */
@media (max-width: 768px) {
  .pagination-desktop {
    display: none;
  }

  .pagination-mobile {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.25rem;
    padding: 0.9375rem 0;
  }

  .page-counter {
    font-family: var(--font-body-book);
    min-width: 5rem;
    text-align: center;
  }

  .btn-nav-prev,
  .btn-nav-next {
    padding: 0;
    border: none;
  }

  .icon-arrow, .icon-nav {
    color: var(--bbva-primary-color);

    &.disabled {
      opacity: 0.5;
      pointer-events: none;
    }
  }
}